Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampUnit::TestCase Class Reference

テストケースヘッダ More...

`#include <TestCase.h>`

Inheritance diagram for LampUnit::TestCase:

List of all members.

## Public Member Functions
| TestCase (Lamp::String name)
| コンストラクタ
virtual | ~TestCase ()
| デストラクタ
virtual void | run (TestResult *result)
| テストを実行する
virtual int | getCountTestCases () const
| テストケースの個数を取得
virtual const Lamp::String & | getName () const
| テストの名前を取得
virtual const Lamp::String & | toString () const
| テストを文字列に変換
virtual void | setUp ()
| テストの初期化
virtual void | tearDown ()
| テストの後始末
## Static Public Member Functions
Test * | suite ()
| テストスィートの取得
## Protected Member Functions
| TestCase ()
| コンストラクタ
virtual void | runTest ()=0
| テストを実行する
virtual void | addFailure (const Lamp::String &message, const char *file, int line)
| 失敗の追加
bool | assertEquals (int expected, int actual, const char *file, int line)
| 値が同じかどうか
bool | assertEquals (u_int expected, u_int actual, const char *file, int line)
| 値が同じかどうか
bool | assertEquals (float expected, float actual, const char *file, int line, float epsilon=0.f)
| 値が同じかどうか
bool | assertEquals (double expected, double actual, const char *file, int line, double epsilon=0.f)
| 値が同じかどうか
bool | assertEquals (const char *expected, const char *actual, const char *file, int line)
| 文字列が同じかどうか
bool | assertEquals (const Lamp::String &expected, const Lamp::String &actual, const char *file, int line)
| 文字列が同じかどうか
bool | assertNotEquals (int notExpected, int actual, const char *file, int line)
| 値が同じでないかどうか
bool | assertNotEquals (u_int notExpected, u_int actual, const char *file, int line)
| 値が同じでないかどうか
bool | assertNotEquals (float notExpected, float actual, const char *file, int line, float epsilon=0.f)
| 値が同じでないかどうか
bool | assertNotEquals (double notExpected, double actual, const char *file, int line, double epsilon=0.f)
| 値が同じでないかどうか
bool | assertNotEquals (const char *notExpected, const char *actual, const char *file, int line)
| 文字列が同じでないかどうか
bool | assertNotEquals (const Lamp::String &notExpected, const Lamp::String &actual, const char *file, int line)
| 文字列が同じでないかどうか
## Static Protected Member Functions
bool | equals (float leftValue, float rightValue, float epsilon=0.f)
| floatの比較
bool | equals (double leftValue, double rightValue, double epsilon=0.f)
| doubleの比較
bool | equals (const char *leftValue, const char *rightValue)
| 文字列の比較
Lamp::String | notEqualMessage (int expected, int actual)
| 値が同じでないメッセージ
Lamp::String | notEqualMessage (u_int expected, u_int actual)
| 値が同じでないメッセージ
Lamp::String | notEqualMessage (float expected, float actual, float epsilon)
| 値が同じでないメッセージ
Lamp::String | notEqualMessage (double expected, double actual, double epsilon)
| 値が同じでないメッセージ
Lamp::String | notEqualMessage (const char *expected, const char *actual)
| 文字列が同じでないメッセージ
Lamp::String | equalMessage (int notExpected, int actual)
| 値が同じメッセージ
Lamp::String | equalMessage (u_int notExpected, u_int actual)
| 値が同じメッセージ
Lamp::String | equalMessage (float notExpected, float actual, float epsilon)
| 値が同じメッセージ
Lamp::String | equalMessage (double notExpected, double actual, double epsilon)
| 値が同じメッセージ
Lamp::String | equalMessage (const char *notExpected, const char *actual)
| 文字列が同じメッセージ

## Detailed Description

テストケースヘッダ

Definition at line 92 of file TestCase.h.

## Constructor & Destructor Documentation

LampUnit::TestCase::TestCase | ( | Lamp::String | name | ) | `[explicit]`

  | コンストラクタ Parameters:
  name | テストの名前
Definition at line 37 of file TestCase.cpp.

LampUnit::TestCase::TestCase | ( |  | ) | `[protected]`

| コンストラクタ TestCallerから呼ばれるときに使用する Definition at line 41 of file TestCase.cpp.

## Member Function Documentation

void LampUnit::TestCase::addFailure | ( | const Lamp::String & | message,
|  | const char * | file,
|  | int | line
| ) | `[protected, virtual]`

  | 失敗の追加 Parameters:
  message | メッセージ
  file | ファイル名
  line | 行数
Definition at line 78 of file TestCase.cpp. References LampUnit::TestResult::addFailure(). Referenced by assertEquals(), and assertNotEquals().

bool LampUnit::TestCase::assertEquals | ( | const Lamp::String & | expected,
|  | const Lamp::String & | actual,
|  | const char * | file,
|  | int | line
| ) | `[inline, protected]`

  | 文字列が同じかどうか Parameters:
  expected | 期待される文字列
  actual | 実際の文字列
  file | ファイル名
  line | 行数
Returns: 文字列が同じならtrue Definition at line 259 of file TestCase.h. References assertEquals().

bool LampUnit::TestCase::assertEquals | ( | const char * | expected,
|  | const char * | actual,
|  | const char * | file,
|  | int | line
| ) | `[inline, protected]`

  | 文字列が同じかどうか Parameters:
  expected | 期待される文字列
  actual | 実際の文字列
  file | ファイル名
  line | 行数
Returns: 文字列が同じならtrue Definition at line 244 of file TestCase.h. References addFailure(), equals(), and notEqualMessage().

bool LampUnit::TestCase::assertEquals | ( | double | expected,
|  | double | actual,
|  | const char * | file,
|  | int | line,
|  | double | epsilon = 0.f
| ) | `[inline, protected]`

  | 値が同じかどうか Parameters:
  expected | 期待される値
  actual | 実際の値
  file | ファイル名
  line | 行数
  epsilon | 許容誤差
Returns: 値が同じならtrue Definition at line 228 of file TestCase.h. References addFailure(), equals(), and notEqualMessage().

bool LampUnit::TestCase::assertEquals | ( | float | expected,
|  | float | actual,
|  | const char * | file,
|  | int | line,
|  | float | epsilon = 0.f
| ) | `[inline, protected]`

  | 値が同じかどうか Parameters:
  expected | 期待される値
  actual | 実際の値
  file | ファイル名
  line | 行数
  epsilon | 許容誤差
Returns: 値が同じならtrue Definition at line 211 of file TestCase.h. References addFailure(), equals(), and notEqualMessage().

bool LampUnit::TestCase::assertEquals | ( | u_int | expected,
|  | u_int | actual,
|  | const char * | file,
|  | int | line
| ) | `[inline, protected]`

  | 値が同じかどうか Parameters:
  expected | 期待される値
  actual | 実際の値
  file | ファイル名
  line | 行数
Returns: 値が同じならtrue Definition at line 195 of file TestCase.h. References addFailure(), and notEqualMessage().

bool LampUnit::TestCase::assertEquals | ( | int | expected,
|  | int | actual,
|  | const char * | file,
|  | int | line
| ) | `[inline, protected]`

  | 値が同じかどうか Parameters:
  expected | 期待される値
  actual | 実際の値
  file | ファイル名
  line | 行数
Returns: 値が同じならtrue Definition at line 181 of file TestCase.h. References addFailure(), and notEqualMessage(). Referenced by assertEquals().

bool LampUnit::TestCase::assertNotEquals | ( | const Lamp::String & | notExpected,
|  | const Lamp::String & | actual,
|  | const char * | file,
|  | int | line
| ) | `[inline, protected]`

  | 文字列が同じでないかどうか Parameters:
  notExpected | 期待されない文字列
  actual | 実際の文字列
  file | ファイル名
  line | 行数
Returns: 文字列が同じならtrue Definition at line 355 of file TestCase.h. References assertNotEquals().

bool LampUnit::TestCase::assertNotEquals | ( | const char * | notExpected,
|  | const char * | actual,
|  | const char * | file,
|  | int | line
| ) | `[inline, protected]`

  | 文字列が同じでないかどうか Parameters:
  notExpected | 期待されない文字列
  actual | 実際の文字列
  file | ファイル名
  line | 行数
Returns: 文字列が同じならtrue Definition at line 340 of file TestCase.h. References addFailure(), equalMessage(), and equals().

bool LampUnit::TestCase::assertNotEquals | ( | double | notExpected,
|  | double | actual,
|  | const char * | file,
|  | int | line,
|  | double | epsilon = 0.f
| ) | `[inline, protected]`

  | 値が同じでないかどうか Parameters:
  notExpected | 期待されない値
  actual | 実際の値
  file | ファイル名
  line | 行数
  epsilon | 許容誤差
Returns: 値が同じならtrue Definition at line 324 of file TestCase.h. References addFailure(), equalMessage(), and equals().

bool LampUnit::TestCase::assertNotEquals | ( | float | notExpected,
|  | float | actual,
|  | const char * | file,
|  | int | line,
|  | float | epsilon = 0.f
| ) | `[inline, protected]`

  | 値が同じでないかどうか Parameters:
  notExpected | 期待されない値
  actual | 実際の値
  file | ファイル名
  line | 行数
  epsilon | 許容誤差
Returns: 値が同じならtrue Definition at line 307 of file TestCase.h. References addFailure(), equalMessage(), and equals().

bool LampUnit::TestCase::assertNotEquals | ( | u_int | notExpected,
|  | u_int | actual,
|  | const char * | file,
|  | int | line
| ) | `[inline, protected]`

  | 値が同じでないかどうか Parameters:
  notExpected | 期待されない値
  actual | 実際の値
  file | ファイル名
  line | 行数
Returns: 値が同じならtrue Definition at line 291 of file TestCase.h. References addFailure(), and equalMessage().

bool LampUnit::TestCase::assertNotEquals | ( | int | notExpected,
|  | int | actual,
|  | const char * | file,
|  | int | line
| ) | `[inline, protected]`

  | 値が同じでないかどうか Parameters:
  notExpected | 期待されない値
  actual | 実際の値
  file | ファイル名
  line | 行数
Returns: 値が同じならtrue Definition at line 276 of file TestCase.h. References addFailure(), and equalMessage(). Referenced by assertNotEquals().

Lamp::String LampUnit::TestCase::equalMessage | ( | const char * | notExpected,
|  | const char * | actual
| ) | `[static, protected]`

  | 文字列が同じメッセージ Parameters:
  notExpected | 期待されない文字列
  actual | 実際の文字列
Returns: 作成されたメッセージ Definition at line 193 of file TestCase.cpp.

Lamp::String LampUnit::TestCase::equalMessage | ( | double | notExpected,
|  | double | actual,
|  | double | epsilon
| ) | `[static, protected]`

  | 値が同じメッセージ Parameters:
  notExpected | 期待されない値
  actual | 実際の値
  epsilon | 許容誤差
Returns: 作成されたメッセージ Definition at line 181 of file TestCase.cpp.

Lamp::String LampUnit::TestCase::equalMessage | ( | float | notExpected,
|  | float | actual,
|  | float | epsilon
| ) | `[static, protected]`

  | 値が同じメッセージ Parameters:
  notExpected | 期待されない値
  actual | 実際の値
  epsilon | 許容誤差
Returns: 作成されたメッセージ Definition at line 170 of file TestCase.cpp.

Lamp::String LampUnit::TestCase::equalMessage | ( | u_int | notExpected,
|  | u_int | actual
| ) | `[static, protected]`

  | 値が同じメッセージ Parameters:
  notExpected | 期待されない値
  actual | 実際の値
Returns: 作成されたメッセージ Definition at line 160 of file TestCase.cpp.

Lamp::String LampUnit::TestCase::equalMessage | ( | int | notExpected,
|  | int | actual
| ) | `[static, protected]`

  | 値が同じメッセージ Parameters:
  notExpected | 期待されない値
  actual | 実際の値
Returns: 作成されたメッセージ Definition at line 151 of file TestCase.cpp. Referenced by assertNotEquals().

bool LampUnit::TestCase::equals | ( | const char * | leftValue,
|  | const char * | rightValue
| ) | `[static, protected]`

  | 文字列の比較 Parameters:
  leftValue | 左の値
  rightValue | 右の値
Returns: 値が同じならtrue Definition at line 85 of file TestCase.cpp.

bool LampUnit::TestCase::equals | ( | double | leftValue,
|  | double | rightValue,
|  | double | epsilon = 0.f
| ) | `[inline, static, protected]`

  | doubleの比較 Parameters:
  leftValue | 左の値
  rightValue | 右の値
  epsilon | 許容誤差
Returns: 値が同じならtrue Definition at line 387 of file TestCase.h.

bool LampUnit::TestCase::equals | ( | float | leftValue,
|  | float | rightValue,
|  | float | epsilon = 0.f
| ) | `[inline, static, protected]`

  | floatの比較 Parameters:
  leftValue | 左の値
  rightValue | 右の値
  epsilon | 許容誤差
Returns: 値が同じならtrue Definition at line 372 of file TestCase.h. Referenced by assertEquals(), and assertNotEquals().

virtual int LampUnit::TestCase::getCountTestCases | ( |  | ) | const`[inline, virtual]`

| テストケースの個数を取得 Returns: テストケースの個数 Implements LampUnit::Test. Definition at line 114 of file TestCase.h.

virtual const Lamp::String& LampUnit::TestCase::getName | ( |  | ) | const`[inline, virtual]`

| テストの名前を取得 Returns: テストの名前 Implements LampUnit::Test. Definition at line 120 of file TestCase.h.

Lamp::String LampUnit::TestCase::notEqualMessage | ( | const char * | expected,
|  | const char * | actual
| ) | `[static, protected]`

  | 文字列が同じでないメッセージ Parameters:
  expected | 期待される文字列
  actual | 実際の文字列
Returns: 作成されたメッセージ Definition at line 133 of file TestCase.cpp.

Lamp::String LampUnit::TestCase::notEqualMessage | ( | double | expected,
|  | double | actual,
|  | double | epsilon
| ) | `[static, protected]`

  | 値が同じでないメッセージ Parameters:
  expected | 期待される値
  actual | 実際の値
  epsilon | 許容誤差
Returns: 作成されたメッセージ Definition at line 122 of file TestCase.cpp.

Lamp::String LampUnit::TestCase::notEqualMessage | ( | float | expected,
|  | float | actual,
|  | float | epsilon
| ) | `[static, protected]`

  | 値が同じでないメッセージ Parameters:
  expected | 期待される値
  actual | 実際の値
  epsilon | 許容誤差
Returns: 作成されたメッセージ Definition at line 111 of file TestCase.cpp.

Lamp::String LampUnit::TestCase::notEqualMessage | ( | u_int | expected,
|  | u_int | actual
| ) | `[static, protected]`

  | 値が同じでないメッセージ Parameters:
  expected | 期待される値
  actual | 実際の値
Returns: 作成されたメッセージ Definition at line 101 of file TestCase.cpp.

Lamp::String LampUnit::TestCase::notEqualMessage | ( | int | expected,
|  | int | actual
| ) | `[static, protected]`

  | 値が同じでないメッセージ Parameters:
  expected | 期待される値
  actual | 実際の値
Returns: 作成されたメッセージ Definition at line 92 of file TestCase.cpp. Referenced by assertEquals().

Test* LampUnit::TestCase::suite | ( |  | ) | `[inline, static]`

| テストスィートの取得 各テストクラスのスィートを作成する場合は、同じ定義を持つメソッドを 各テストクラスで新たに作成してください。 Returns: テストスィート Definition at line 145 of file TestCase.h.

virtual const Lamp::String& LampUnit::TestCase::toString | ( |  | ) | const`[inline, virtual]`

| テストを文字列に変換 Returns: テストの文字列表記 Implements LampUnit::Test. Definition at line 126 of file TestCase.h.

The documentation for this class was generated from the following files:

- TestCase.h
- TestCase.cpp